> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Exchange Deposit

> Creates a new exchange deposit transaction.



## OpenAPI

````yaml /openapi.yaml post /exchanges/{exchangeId}/accounts/{accountId}/deposits
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /exchanges/{exchangeId}/accounts/{accountId}/deposits:
    post:
      tags:
        - Exchanges
      summary: Create Exchange Deposit
      description: Creates a new exchange deposit transaction.
      parameters:
        - schema:
            type: string
            minLength: 1
            description: >-
              The exchange id obtained from the Create Exchange endpoint. Ex:
              `ex-1f04s-lqc9q-xxxxxxxxxxxxxxxx`
          required: true
          description: >-
            The exchange id obtained from the Create Exchange endpoint. Ex:
            `ex-1f04s-lqc9q-xxxxxxxxxxxxxxxx`
          name: exchangeId
          in: path
        - schema:
            type: string
            minLength: 1
            description: Unique identifier for the account like "spot"
          required: true
          description: Unique identifier for the account like "spot"
          name: accountId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - Native
                    amount:
                      type: string
                      pattern: ^\d+$
                      description: >-
                        The amount of native tokens to transfer in minimum
                        denomination.
                    priority:
                      type: string
                      enum:
                        - Slow
                        - Standard
                        - Fast
                      description: >-
                        The priority that determines the fees paid for the
                        transfer. All EVM compatible networks and Bitcoin
                        support `priority`. Not supported for other networks. It
                        uses the [estimate
                        fees](https://docs.dfns.co/api-reference/networks/estimate-fees)
                        API to calculate the transfer fees. When not specified,
                        defaults to `Standard` priority.
                    createDestinationAccount:
                      type: boolean
                      description: >-
                        Whether to create the destination account on chains that
                        require account creation (e.g., Stellar). Only valid for
                        chains that require the receiver account to exist before
                        transfer.
                    offer:
                      type: boolean
                      description: >-
                        Optional field for Canton, if true it will create a
                        transfer offer.
                    expiresAt:
                      type: string
                      format: date-time
                      description: >-
                        Optional field for Canton, especially useful in the
                        context of offers
                    externalId:
                      type: string
                      minLength: 1
                      maxLength: 50
                      description: >-
                        A unique ID from your system. It can be leveraged to be
                        used as an idempotency key. (read more
                        [here](https://docs.dfns.co/api-reference/idempotency))
                    travelRule:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Notabene
                            beneficiaryVASPdid:
                              type: string
                            beneficiaryProof:
                              type: object
                              additionalProperties: {}
                            originator:
                              type: object
                              additionalProperties: {}
                            beneficiary:
                              type: object
                              additionalProperties: {}
                          required:
                            - kind
                            - originator
                            - beneficiary
                          additionalProperties: false
                          title: Notabene Travel Rule
                      description: >-
                        A travel rule payload to associate with the transfer.
                        (read more
                        [here](https://docs.dfns.co/features/travel-rule))
                    feeSponsorId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: >-
                        Id of the fee sponsor that will be used to pay for your
                        transfer fees, it might not be available for all
                        blockchains. (read more
                        [here](https://docs.dfns.co/features/fee-sponsors))
                      example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                    walletId:
                      type: string
                      minLength: 1
                    otp:
                      type: string
                      minLength: 6
                      maxLength: 6
                  required:
                    - kind
                    - amount
                    - walletId
                  description: ''
                  title: Native Assets
                - type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - Erc20
                    contract:
                      type: string
                      pattern: ^0x[0-9a-fA-F]{40}$
                      description: The ERC-20 contract address.
                    amount:
                      type: string
                      pattern: ^\d+$
                      description: >-
                        The amount of tokens to transfer in minimum
                        denomination.
                    priority:
                      type: string
                      enum:
                        - Slow
                        - Standard
                        - Fast
                      description: >-
                        The priority that determines the fees paid for the
                        transfer.
                    externalId:
                      type: string
                      minLength: 1
                      maxLength: 50
                      description: >-
                        A unique ID from your system. It can be leveraged to be
                        used as an idempotency key. (read more
                        [here](https://docs.dfns.co/api-reference/idempotency))
                    travelRule:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Notabene
                            beneficiaryVASPdid:
                              type: string
                            beneficiaryProof:
                              type: object
                              additionalProperties: {}
                            originator:
                              type: object
                              additionalProperties: {}
                            beneficiary:
                              type: object
                              additionalProperties: {}
                          required:
                            - kind
                            - originator
                            - beneficiary
                          additionalProperties: false
                          title: Notabene Travel Rule
                      description: >-
                        A travel rule payload to associate with the transfer.
                        (read more
                        [here](https://docs.dfns.co/features/travel-rule))
                    feeSponsorId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: >-
                        Id of the fee sponsor that will be used to pay for your
                        transfer fees, it might not be available for all
                        blockchains. (read more
                        [here](https://docs.dfns.co/features/fee-sponsors))
                      example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                    walletId:
                      type: string
                      minLength: 1
                    otp:
                      type: string
                      minLength: 6
                      maxLength: 6
                  required:
                    - kind
                    - contract
                    - amount
                    - walletId
                  description: ''
                  title: EVM Fungible Token (ERC-20)
                - type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - Trc10
                    tokenId:
                      type: string
                      pattern: ^\d+$
                      description: The token ID.
                    amount:
                      type: string
                      pattern: ^\d+$
                      description: >-
                        The amount of tokens to transfer in minimum
                        denomination.
                    externalId:
                      type: string
                      minLength: 1
                      maxLength: 50
                      description: >-
                        A unique ID from your system. It can be leveraged to be
                        used as an idempotency key. (read more
                        [here](https://docs.dfns.co/api-reference/idempotency))
                    travelRule:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Notabene
                            beneficiaryVASPdid:
                              type: string
                            beneficiaryProof:
                              type: object
                              additionalProperties: {}
                            originator:
                              type: object
                              additionalProperties: {}
                            beneficiary:
                              type: object
                              additionalProperties: {}
                          required:
                            - kind
                            - originator
                            - beneficiary
                          additionalProperties: false
                          title: Notabene Travel Rule
                      description: >-
                        A travel rule payload to associate with the transfer.
                        (read more
                        [here](https://docs.dfns.co/features/travel-rule))
                    feeSponsorId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: >-
                        Id of the fee sponsor that will be used to pay for your
                        transfer fees, it might not be available for all
                        blockchains. (read more
                        [here](https://docs.dfns.co/features/fee-sponsors))
                      example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                    walletId:
                      type: string
                      minLength: 1
                    otp:
                      type: string
                      minLength: 6
                      maxLength: 6
                  required:
                    - kind
                    - tokenId
                    - amount
                    - walletId
                  description: ''
                  title: TRON Native Fungible Token (TRC-10)
                - type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - Trc20
                    contract:
                      type: string
                      pattern: ^T[0-9a-zA-Z]{33}$
                      description: The smart contract address.
                    amount:
                      type: string
                      pattern: ^\d+$
                      description: >-
                        The amount of tokens to transfer in minimum
                        denomination.
                    externalId:
                      type: string
                      minLength: 1
                      maxLength: 50
                      description: >-
                        A unique ID from your system. It can be leveraged to be
                        used as an idempotency key. (read more
                        [here](https://docs.dfns.co/api-reference/idempotency))
                    travelRule:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Notabene
                            beneficiaryVASPdid:
                              type: string
                            beneficiaryProof:
                              type: object
                              additionalProperties: {}
                            originator:
                              type: object
                              additionalProperties: {}
                            beneficiary:
                              type: object
                              additionalProperties: {}
                          required:
                            - kind
                            - originator
                            - beneficiary
                          additionalProperties: false
                          title: Notabene Travel Rule
                      description: >-
                        A travel rule payload to associate with the transfer.
                        (read more
                        [here](https://docs.dfns.co/features/travel-rule))
                    feeSponsorId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: >-
                        Id of the fee sponsor that will be used to pay for your
                        transfer fees, it might not be available for all
                        blockchains. (read more
                        [here](https://docs.dfns.co/features/fee-sponsors))
                      example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                    walletId:
                      type: string
                      minLength: 1
                    otp:
                      type: string
                      minLength: 6
                      maxLength: 6
                  required:
                    - kind
                    - contract
                    - amount
                    - walletId
                  description: ''
                  title: TRON Smart Contract Fungible Token (TRC-20)
                - type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - Asa
                    assetId:
                      type: string
                      pattern: ^\d+$
                      description: 'The token asset id. '
                    amount:
                      type: string
                      pattern: ^\d+$
                      description: >-
                        The amount of tokens to transfer in minimum
                        denomination.
                    externalId:
                      type: string
                      minLength: 1
                      maxLength: 50
                      description: >-
                        A unique ID from your system. It can be leveraged to be
                        used as an idempotency key. (read more
                        [here](https://docs.dfns.co/api-reference/idempotency))
                    travelRule:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Notabene
                            beneficiaryVASPdid:
                              type: string
                            beneficiaryProof:
                              type: object
                              additionalProperties: {}
                            originator:
                              type: object
                              additionalProperties: {}
                            beneficiary:
                              type: object
                              additionalProperties: {}
                          required:
                            - kind
                            - originator
                            - beneficiary
                          additionalProperties: false
                          title: Notabene Travel Rule
                      description: >-
                        A travel rule payload to associate with the transfer.
                        (read more
                        [here](https://docs.dfns.co/features/travel-rule))
                    feeSponsorId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: >-
                        Id of the fee sponsor that will be used to pay for your
                        transfer fees, it might not be available for all
                        blockchains. (read more
                        [here](https://docs.dfns.co/features/fee-sponsors))
                      example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                    walletId:
                      type: string
                      minLength: 1
                    otp:
                      type: string
                      minLength: 6
                      maxLength: 6
                  required:
                    - kind
                    - assetId
                    - amount
                    - walletId
                  description: ''
                  title: Algorand Standard Asset
                - type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - Sep41
                    issuer:
                      type: string
                      pattern: ^(G[A-Z0-9]{55}|M[A-Z0-9]{68})$
                      description: The asset issuer address.
                    assetCode:
                      type: string
                      description: The asset code.
                    amount:
                      type: string
                      pattern: ^\d+$
                      description: >-
                        The amount of tokens to transfer in minimum
                        denomination.
                    externalId:
                      type: string
                      minLength: 1
                      maxLength: 50
                      description: >-
                        A unique ID from your system. It can be leveraged to be
                        used as an idempotency key. (read more
                        [here](https://docs.dfns.co/api-reference/idempotency))
                    travelRule:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Notabene
                            beneficiaryVASPdid:
                              type: string
                            beneficiaryProof:
                              type: object
                              additionalProperties: {}
                            originator:
                              type: object
                              additionalProperties: {}
                            beneficiary:
                              type: object
                              additionalProperties: {}
                          required:
                            - kind
                            - originator
                            - beneficiary
                          additionalProperties: false
                          title: Notabene Travel Rule
                      description: >-
                        A travel rule payload to associate with the transfer.
                        (read more
                        [here](https://docs.dfns.co/features/travel-rule))
                    feeSponsorId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: >-
                        Id of the fee sponsor that will be used to pay for your
                        transfer fees, it might not be available for all
                        blockchains. (read more
                        [here](https://docs.dfns.co/features/fee-sponsors))
                      example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                    walletId:
                      type: string
                      minLength: 1
                    otp:
                      type: string
                      minLength: 6
                      maxLength: 6
                  required:
                    - kind
                    - issuer
                    - assetCode
                    - amount
                    - walletId
                  description: ''
                  title: Stellar Classic Assets (SEP-41)
                - type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - Spl
                        - Spl2022
                    amount:
                      type: string
                      pattern: ^\d+$
                      description: >-
                        The amount of tokens to transfer in minimum
                        denomination.
                    mint:
                      type: string
                      pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
                      description: The mint account address.
                    createDestinationAccount:
                      type: boolean
                      description: >-
                        If `true`, pay to create the associated token account
                        for the recipient if it doesn't exist. Defaults to
                        `false`.
                    externalId:
                      type: string
                      minLength: 1
                      maxLength: 50
                      description: >-
                        A unique ID from your system. It can be leveraged to be
                        used as an idempotency key. (read more
                        [here](https://docs.dfns.co/api-reference/idempotency))
                    travelRule:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Notabene
                            beneficiaryVASPdid:
                              type: string
                            beneficiaryProof:
                              type: object
                              additionalProperties: {}
                            originator:
                              type: object
                              additionalProperties: {}
                            beneficiary:
                              type: object
                              additionalProperties: {}
                          required:
                            - kind
                            - originator
                            - beneficiary
                          additionalProperties: false
                          title: Notabene Travel Rule
                      description: >-
                        A travel rule payload to associate with the transfer.
                        (read more
                        [here](https://docs.dfns.co/features/travel-rule))
                    feeSponsorId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: >-
                        Id of the fee sponsor that will be used to pay for your
                        transfer fees, it might not be available for all
                        blockchains. (read more
                        [here](https://docs.dfns.co/features/fee-sponsors))
                      example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                    walletId:
                      type: string
                      minLength: 1
                    otp:
                      type: string
                      minLength: 6
                      maxLength: 6
                  required:
                    - kind
                    - amount
                    - mint
                    - walletId
                  description: ''
                  title: Solana Program Library Token (SPL and SPL 2022)
                - type: object
                  properties:
                    kind:
                      type: string
                      enum:
                        - Tep74
                    master:
                      type: string
                      pattern: ^(?:[A-Za-z0-9\-_]{48}|\d+:[a-fA-F0-9]{64})$
                      description: The Jetton master contract address.
                    amount:
                      type: string
                      pattern: ^\d+$
                      description: >-
                        The amount of tokens to transfer in minimum
                        denomination.
                    externalId:
                      type: string
                      minLength: 1
                      maxLength: 50
                      description: >-
                        A unique ID from your system. It can be leveraged to be
                        used as an idempotency key. (read more
                        [here](https://docs.dfns.co/api-reference/idempotency))
                    travelRule:
                      oneOf:
                        - type: object
                          properties:
                            kind:
                              type: string
                              enum:
                                - Notabene
                            beneficiaryVASPdid:
                              type: string
                            beneficiaryProof:
                              type: object
                              additionalProperties: {}
                            originator:
                              type: object
                              additionalProperties: {}
                            beneficiary:
                              type: object
                              additionalProperties: {}
                          required:
                            - kind
                            - originator
                            - beneficiary
                          additionalProperties: false
                          title: Notabene Travel Rule
                      description: >-
                        A travel rule payload to associate with the transfer.
                        (read more
                        [here](https://docs.dfns.co/features/travel-rule))
                    feeSponsorId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: >-
                        Id of the fee sponsor that will be used to pay for your
                        transfer fees, it might not be available for all
                        blockchains. (read more
                        [here](https://docs.dfns.co/features/fee-sponsors))
                      example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                    walletId:
                      type: string
                      minLength: 1
                    otp:
                      type: string
                      minLength: 6
                      maxLength: 6
                  required:
                    - kind
                    - master
                    - amount
                    - walletId
                  description: ''
                  title: TON Jetton (TEP-74)
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  exchangeId:
                    type: string
                  accountId:
                    type: string
                  transferId:
                    type: string
                  exchangeReference:
                    type: string
                  kind:
                    type: string
                    enum:
                      - Withdrawal
                      - Deposit
                  walletId:
                    type: string
                  requester:
                    $ref: '#/components/schemas/Requester'
                  requestBody:
                    oneOf:
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - Native
                          amount:
                            type: string
                            pattern: ^\d+$
                            description: >-
                              The amount of native tokens to transfer in minimum
                              denomination.
                          priority:
                            type: string
                            enum:
                              - Slow
                              - Standard
                              - Fast
                            description: >-
                              The priority that determines the fees paid for the
                              transfer. All EVM compatible networks and Bitcoin
                              support `priority`. Not supported for other
                              networks. It uses the [estimate
                              fees](https://docs.dfns.co/api-reference/networks/estimate-fees)
                              API to calculate the transfer fees. When not
                              specified, defaults to `Standard` priority.
                          createDestinationAccount:
                            type: boolean
                            description: >-
                              Whether to create the destination account on
                              chains that require account creation (e.g.,
                              Stellar). Only valid for chains that require the
                              receiver account to exist before transfer.
                          offer:
                            type: boolean
                            description: >-
                              Optional field for Canton, if true it will create
                              a transfer offer.
                          expiresAt:
                            type: string
                            format: date-time
                            description: >-
                              Optional field for Canton, especially useful in
                              the context of offers
                          externalId:
                            type: string
                            minLength: 1
                            maxLength: 50
                            description: >-
                              A unique ID from your system. It can be leveraged
                              to be used as an idempotency key. (read more
                              [here](https://docs.dfns.co/api-reference/idempotency))
                          travelRule:
                            oneOf:
                              - type: object
                                properties:
                                  kind:
                                    type: string
                                    enum:
                                      - Notabene
                                  beneficiaryVASPdid:
                                    type: string
                                  beneficiaryProof:
                                    type: object
                                    additionalProperties: {}
                                  originator:
                                    type: object
                                    additionalProperties: {}
                                  beneficiary:
                                    type: object
                                    additionalProperties: {}
                                required:
                                  - kind
                                  - originator
                                  - beneficiary
                                additionalProperties: false
                                title: Notabene Travel Rule
                            description: >-
                              A travel rule payload to associate with the
                              transfer. (read more
                              [here](https://docs.dfns.co/features/travel-rule))
                          feeSponsorId:
                            type: string
                            minLength: 1
                            maxLength: 64
                            pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                            description: >-
                              Id of the fee sponsor that will be used to pay for
                              your transfer fees, it might not be available for
                              all blockchains. (read more
                              [here](https://docs.dfns.co/features/fee-sponsors))
                            example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                          walletId:
                            type: string
                            minLength: 1
                          otp:
                            type: string
                            minLength: 6
                            maxLength: 6
                        required:
                          - kind
                          - amount
                          - walletId
                        description: ''
                        title: Native Assets
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - Erc20
                          contract:
                            type: string
                            pattern: ^0x[0-9a-fA-F]{40}$
                            description: The ERC-20 contract address.
                          amount:
                            type: string
                            pattern: ^\d+$
                            description: >-
                              The amount of tokens to transfer in minimum
                              denomination.
                          priority:
                            type: string
                            enum:
                              - Slow
                              - Standard
                              - Fast
                            description: >-
                              The priority that determines the fees paid for the
                              transfer.
                          externalId:
                            type: string
                            minLength: 1
                            maxLength: 50
                            description: >-
                              A unique ID from your system. It can be leveraged
                              to be used as an idempotency key. (read more
                              [here](https://docs.dfns.co/api-reference/idempotency))
                          travelRule:
                            oneOf:
                              - type: object
                                properties:
                                  kind:
                                    type: string
                                    enum:
                                      - Notabene
                                  beneficiaryVASPdid:
                                    type: string
                                  beneficiaryProof:
                                    type: object
                                    additionalProperties: {}
                                  originator:
                                    type: object
                                    additionalProperties: {}
                                  beneficiary:
                                    type: object
                                    additionalProperties: {}
                                required:
                                  - kind
                                  - originator
                                  - beneficiary
                                additionalProperties: false
                                title: Notabene Travel Rule
                            description: >-
                              A travel rule payload to associate with the
                              transfer. (read more
                              [here](https://docs.dfns.co/features/travel-rule))
                          feeSponsorId:
                            type: string
                            minLength: 1
                            maxLength: 64
                            pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                            description: >-
                              Id of the fee sponsor that will be used to pay for
                              your transfer fees, it might not be available for
                              all blockchains. (read more
                              [here](https://docs.dfns.co/features/fee-sponsors))
                            example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                          walletId:
                            type: string
                            minLength: 1
                          otp:
                            type: string
                            minLength: 6
                            maxLength: 6
                        required:
                          - kind
                          - contract
                          - amount
                          - walletId
                        description: ''
                        title: EVM Fungible Token (ERC-20)
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - Trc10
                          tokenId:
                            type: string
                            pattern: ^\d+$
                            description: The token ID.
                          amount:
                            type: string
                            pattern: ^\d+$
                            description: >-
                              The amount of tokens to transfer in minimum
                              denomination.
                          externalId:
                            type: string
                            minLength: 1
                            maxLength: 50
                            description: >-
                              A unique ID from your system. It can be leveraged
                              to be used as an idempotency key. (read more
                              [here](https://docs.dfns.co/api-reference/idempotency))
                          travelRule:
                            oneOf:
                              - type: object
                                properties:
                                  kind:
                                    type: string
                                    enum:
                                      - Notabene
                                  beneficiaryVASPdid:
                                    type: string
                                  beneficiaryProof:
                                    type: object
                                    additionalProperties: {}
                                  originator:
                                    type: object
                                    additionalProperties: {}
                                  beneficiary:
                                    type: object
                                    additionalProperties: {}
                                required:
                                  - kind
                                  - originator
                                  - beneficiary
                                additionalProperties: false
                                title: Notabene Travel Rule
                            description: >-
                              A travel rule payload to associate with the
                              transfer. (read more
                              [here](https://docs.dfns.co/features/travel-rule))
                          feeSponsorId:
                            type: string
                            minLength: 1
                            maxLength: 64
                            pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                            description: >-
                              Id of the fee sponsor that will be used to pay for
                              your transfer fees, it might not be available for
                              all blockchains. (read more
                              [here](https://docs.dfns.co/features/fee-sponsors))
                            example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                          walletId:
                            type: string
                            minLength: 1
                          otp:
                            type: string
                            minLength: 6
                            maxLength: 6
                        required:
                          - kind
                          - tokenId
                          - amount
                          - walletId
                        description: ''
                        title: TRON Native Fungible Token (TRC-10)
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - Trc20
                          contract:
                            type: string
                            pattern: ^T[0-9a-zA-Z]{33}$
                            description: The smart contract address.
                          amount:
                            type: string
                            pattern: ^\d+$
                            description: >-
                              The amount of tokens to transfer in minimum
                              denomination.
                          externalId:
                            type: string
                            minLength: 1
                            maxLength: 50
                            description: >-
                              A unique ID from your system. It can be leveraged
                              to be used as an idempotency key. (read more
                              [here](https://docs.dfns.co/api-reference/idempotency))
                          travelRule:
                            oneOf:
                              - type: object
                                properties:
                                  kind:
                                    type: string
                                    enum:
                                      - Notabene
                                  beneficiaryVASPdid:
                                    type: string
                                  beneficiaryProof:
                                    type: object
                                    additionalProperties: {}
                                  originator:
                                    type: object
                                    additionalProperties: {}
                                  beneficiary:
                                    type: object
                                    additionalProperties: {}
                                required:
                                  - kind
                                  - originator
                                  - beneficiary
                                additionalProperties: false
                                title: Notabene Travel Rule
                            description: >-
                              A travel rule payload to associate with the
                              transfer. (read more
                              [here](https://docs.dfns.co/features/travel-rule))
                          feeSponsorId:
                            type: string
                            minLength: 1
                            maxLength: 64
                            pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                            description: >-
                              Id of the fee sponsor that will be used to pay for
                              your transfer fees, it might not be available for
                              all blockchains. (read more
                              [here](https://docs.dfns.co/features/fee-sponsors))
                            example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                          walletId:
                            type: string
                            minLength: 1
                          otp:
                            type: string
                            minLength: 6
                            maxLength: 6
                        required:
                          - kind
                          - contract
                          - amount
                          - walletId
                        description: ''
                        title: TRON Smart Contract Fungible Token (TRC-20)
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - Asa
                          assetId:
                            type: string
                            pattern: ^\d+$
                            description: 'The token asset id. '
                          amount:
                            type: string
                            pattern: ^\d+$
                            description: >-
                              The amount of tokens to transfer in minimum
                              denomination.
                          externalId:
                            type: string
                            minLength: 1
                            maxLength: 50
                            description: >-
                              A unique ID from your system. It can be leveraged
                              to be used as an idempotency key. (read more
                              [here](https://docs.dfns.co/api-reference/idempotency))
                          travelRule:
                            oneOf:
                              - type: object
                                properties:
                                  kind:
                                    type: string
                                    enum:
                                      - Notabene
                                  beneficiaryVASPdid:
                                    type: string
                                  beneficiaryProof:
                                    type: object
                                    additionalProperties: {}
                                  originator:
                                    type: object
                                    additionalProperties: {}
                                  beneficiary:
                                    type: object
                                    additionalProperties: {}
                                required:
                                  - kind
                                  - originator
                                  - beneficiary
                                additionalProperties: false
                                title: Notabene Travel Rule
                            description: >-
                              A travel rule payload to associate with the
                              transfer. (read more
                              [here](https://docs.dfns.co/features/travel-rule))
                          feeSponsorId:
                            type: string
                            minLength: 1
                            maxLength: 64
                            pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                            description: >-
                              Id of the fee sponsor that will be used to pay for
                              your transfer fees, it might not be available for
                              all blockchains. (read more
                              [here](https://docs.dfns.co/features/fee-sponsors))
                            example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                          walletId:
                            type: string
                            minLength: 1
                          otp:
                            type: string
                            minLength: 6
                            maxLength: 6
                        required:
                          - kind
                          - assetId
                          - amount
                          - walletId
                        description: ''
                        title: Algorand Standard Asset
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - Sep41
                          issuer:
                            type: string
                            pattern: ^(G[A-Z0-9]{55}|M[A-Z0-9]{68})$
                            description: The asset issuer address.
                          assetCode:
                            type: string
                            description: The asset code.
                          amount:
                            type: string
                            pattern: ^\d+$
                            description: >-
                              The amount of tokens to transfer in minimum
                              denomination.
                          externalId:
                            type: string
                            minLength: 1
                            maxLength: 50
                            description: >-
                              A unique ID from your system. It can be leveraged
                              to be used as an idempotency key. (read more
                              [here](https://docs.dfns.co/api-reference/idempotency))
                          travelRule:
                            oneOf:
                              - type: object
                                properties:
                                  kind:
                                    type: string
                                    enum:
                                      - Notabene
                                  beneficiaryVASPdid:
                                    type: string
                                  beneficiaryProof:
                                    type: object
                                    additionalProperties: {}
                                  originator:
                                    type: object
                                    additionalProperties: {}
                                  beneficiary:
                                    type: object
                                    additionalProperties: {}
                                required:
                                  - kind
                                  - originator
                                  - beneficiary
                                additionalProperties: false
                                title: Notabene Travel Rule
                            description: >-
                              A travel rule payload to associate with the
                              transfer. (read more
                              [here](https://docs.dfns.co/features/travel-rule))
                          feeSponsorId:
                            type: string
                            minLength: 1
                            maxLength: 64
                            pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                            description: >-
                              Id of the fee sponsor that will be used to pay for
                              your transfer fees, it might not be available for
                              all blockchains. (read more
                              [here](https://docs.dfns.co/features/fee-sponsors))
                            example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                          walletId:
                            type: string
                            minLength: 1
                          otp:
                            type: string
                            minLength: 6
                            maxLength: 6
                        required:
                          - kind
                          - issuer
                          - assetCode
                          - amount
                          - walletId
                        description: ''
                        title: Stellar Classic Assets (SEP-41)
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - Spl
                              - Spl2022
                          amount:
                            type: string
                            pattern: ^\d+$
                            description: >-
                              The amount of tokens to transfer in minimum
                              denomination.
                          mint:
                            type: string
                            pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$
                            description: The mint account address.
                          createDestinationAccount:
                            type: boolean
                            description: >-
                              If `true`, pay to create the associated token
                              account for the recipient if it doesn't exist.
                              Defaults to `false`.
                          externalId:
                            type: string
                            minLength: 1
                            maxLength: 50
                            description: >-
                              A unique ID from your system. It can be leveraged
                              to be used as an idempotency key. (read more
                              [here](https://docs.dfns.co/api-reference/idempotency))
                          travelRule:
                            oneOf:
                              - type: object
                                properties:
                                  kind:
                                    type: string
                                    enum:
                                      - Notabene
                                  beneficiaryVASPdid:
                                    type: string
                                  beneficiaryProof:
                                    type: object
                                    additionalProperties: {}
                                  originator:
                                    type: object
                                    additionalProperties: {}
                                  beneficiary:
                                    type: object
                                    additionalProperties: {}
                                required:
                                  - kind
                                  - originator
                                  - beneficiary
                                additionalProperties: false
                                title: Notabene Travel Rule
                            description: >-
                              A travel rule payload to associate with the
                              transfer. (read more
                              [here](https://docs.dfns.co/features/travel-rule))
                          feeSponsorId:
                            type: string
                            minLength: 1
                            maxLength: 64
                            pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                            description: >-
                              Id of the fee sponsor that will be used to pay for
                              your transfer fees, it might not be available for
                              all blockchains. (read more
                              [here](https://docs.dfns.co/features/fee-sponsors))
                            example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                          walletId:
                            type: string
                            minLength: 1
                          otp:
                            type: string
                            minLength: 6
                            maxLength: 6
                        required:
                          - kind
                          - amount
                          - mint
                          - walletId
                        description: ''
                        title: Solana Program Library Token (SPL and SPL 2022)
                      - type: object
                        properties:
                          kind:
                            type: string
                            enum:
                              - Tep74
                          master:
                            type: string
                            pattern: ^(?:[A-Za-z0-9\-_]{48}|\d+:[a-fA-F0-9]{64})$
                            description: The Jetton master contract address.
                          amount:
                            type: string
                            pattern: ^\d+$
                            description: >-
                              The amount of tokens to transfer in minimum
                              denomination.
                          externalId:
                            type: string
                            minLength: 1
                            maxLength: 50
                            description: >-
                              A unique ID from your system. It can be leveraged
                              to be used as an idempotency key. (read more
                              [here](https://docs.dfns.co/api-reference/idempotency))
                          travelRule:
                            oneOf:
                              - type: object
                                properties:
                                  kind:
                                    type: string
                                    enum:
                                      - Notabene
                                  beneficiaryVASPdid:
                                    type: string
                                  beneficiaryProof:
                                    type: object
                                    additionalProperties: {}
                                  originator:
                                    type: object
                                    additionalProperties: {}
                                  beneficiary:
                                    type: object
                                    additionalProperties: {}
                                required:
                                  - kind
                                  - originator
                                  - beneficiary
                                additionalProperties: false
                                title: Notabene Travel Rule
                            description: >-
                              A travel rule payload to associate with the
                              transfer. (read more
                              [here](https://docs.dfns.co/features/travel-rule))
                          feeSponsorId:
                            type: string
                            minLength: 1
                            maxLength: 64
                            pattern: ^fs-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                            description: >-
                              Id of the fee sponsor that will be used to pay for
                              your transfer fees, it might not be available for
                              all blockchains. (read more
                              [here](https://docs.dfns.co/features/fee-sponsors))
                            example: fs-5vqdl-gliqk-b4rfukqauov1sp7j
                          walletId:
                            type: string
                            minLength: 1
                          otp:
                            type: string
                            minLength: 6
                            maxLength: 6
                        required:
                          - kind
                          - master
                          - amount
                          - walletId
                        description: ''
                        title: TON Jetton (TEP-74)
                  dateCreated:
                    type: string
                required:
                  - id
                  - exchangeId
                  - accountId
                  - kind
                  - walletId
                  - requester
                  - requestBody
                  - dateCreated
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  schemas:
    Requester:
      type: object
      properties:
        userId:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^us-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: User id.
          example: us-6b58p-r53sr-rlrd3l5cj3uc4ome
        tokenId:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^to-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: Token id.
          example: to-202a0-cdo33-o65mbt6q758lvvnt
      required:
        - userId
      description: The user who initiated the request.
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````